﻿using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// private

        #region 회색조 버튼 클릭시 처리하기 - grayscaleButton_Click(sender, e)

        /// <summary>
        /// 회색조 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void grayscaleButton_Click(object sender, RoutedEventArgs e)
        {
            if(this.imageEdit.ImageEffect == null)
            {
                this.imageEdit.ImageEffect = new GrayscaleEffect();
            }
        }

        #endregion
        #region 일반 버튼 클릭시 처리하기 - normalButton_Click(sender, e)

        /// <summary>
        /// 일반 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void normalButton_Click(object sender, RoutedEventArgs e)
        {
            this.imageEdit.ImageEffect = null;
        }

        #endregion
    }
}